Package net.sf.saxon.jaxp

## Class StreamingFilterImpl

- java.lang.Object
- - net.sf.saxon.jaxp.AbstractXMLFilter
  - - net.sf.saxon.jaxp.StreamingFilterImpl

- All Implemented Interfaces:
    `org.xml.sax.XMLFilter`, `org.xml.sax.XMLReader`

      public class StreamingFilterImpl
      extends AbstractXMLFilter

  StreamingFilterImpl is an XMLFilter (a SAX2 filter) that performs a transformation taking a SAX stream as input and producing a SAX stream as output, using XSLT 3.0 streaming to process the source
  Since:
    9.8.0.4

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Xslt30Transformer` | `getTransformer()` | Get the underlying Transformer.
    `void` | `parse​(org.xml.sax.InputSource input)` | Parse an XML document - In the context of a Transformer, this means perform a transformation.

    - ### Methods inherited from class net.sf.saxon.jaxp.AbstractXMLFilter

      `getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parse

          public void parse​(org.xml.sax.InputSource input)
                     throws java.io.IOException,
                            org.xml.sax.SAXException

      Parse an XML document - In the context of a Transformer, this means perform a transformation. The method is equivalent to transform().
      Parameters:
        `input` - The input source (the XML document to be transformed)
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
        `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
      See Also:
        `InputSource`, `AbstractXMLFilter.parse(String)`, `AbstractXMLFilter.setEntityResolver(org.xml.sax.EntityResolver)`, `AbstractXMLFilter.setDTDHandler(org.xml.sax.DTDHandler)`, `AbstractXMLFilter.setContentHandler(org.xml.sax.ContentHandler)`, `AbstractXMLFilter.setErrorHandler(org.xml.sax.ErrorHandler)`

    - #### getTransformer

          public Xslt30Transformer getTransformer()

      Get the underlying Transformer. This is a Saxon-specific method that allows the user to set parameters on the transformation, set a URIResolver or ErrorListener, etc.
      Since:
        Saxon 9.8